package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 结算信息作废记录表（用于记录项目变更导致推信息送至EKP）
 * @TableName t_insurance_settle_cancel
 */
public class TInsuranceSettleCancel implements Serializable {
    /**
     * 
     */
    private String id;

    /**
     * 结算明细id
     */
    private String insDetailId;

    /**
     * 结算信息表id
     */
    private String settleId;

    /**
     * 项目编码
     */
    private String deptNo;

    /**
     * 项目名称
     */
    private String deptName;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 推送标识 1成功 0失败
     */
    private Integer isCancelPush;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 操作人
     */
    private String createUesr;

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 结算明细id
     */
    public String getInsDetailId() {
        return insDetailId;
    }

    /**
     * 结算明细id
     */
    public void setInsDetailId(String insDetailId) {
        this.insDetailId = insDetailId;
    }

    /**
     * 结算信息表id
     */
    public String getSettleId() {
        return settleId;
    }

    /**
     * 结算信息表id
     */
    public void setSettleId(String settleId) {
        this.settleId = settleId;
    }

    /**
     * 项目编码
     */
    public String getDeptNo() {
        return deptNo;
    }

    /**
     * 项目编码
     */
    public void setDeptNo(String deptNo) {
        this.deptNo = deptNo;
    }

    /**
     * 项目名称
     */
    public String getDeptName() {
        return deptName;
    }

    /**
     * 项目名称
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /**
     * 订单编号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 订单编号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 推送标识 1成功 0失败
     */
    public Integer getIsCancelPush() {
        return isCancelPush;
    }

    /**
     * 推送标识 1成功 0失败
     */
    public void setIsCancelPush(Integer isCancelPush) {
        this.isCancelPush = isCancelPush;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作人
     */
    public String getCreateUesr() {
        return createUesr;
    }

    /**
     * 操作人
     */
    public void setCreateUesr(String createUesr) {
        this.createUesr = createUesr;
    }
}